## NAME

           form_field_just - retrieve field characteristics

## SYNOPSIS

           #include <form.h>
           int set_field_just(FIELD *field, int justification);
           int field_just(const FIELD *field);

## DESCRIPTION

           The   function   set_field_just   sets  the  justification
           attribute of a field; field_just returns a field's  justi-
           fication attribute.  The attribute may be one of NO_JUSTI-
           FICATION, JUSTIFY_RIGHT, JUSTIFY_LEFT, or  JUSTIFY_CENTER.

## RETURN VALUE

           The  function field_just returns one of: NO_JUSTIFICATION,
           JUSTIFY_RIGHT, JUSTIFY_LEFT, or JUSTIFY_CENTER.

           The function set_field_just return one of the following:

           E_OK The routine succeeded.

           E_SYSTEM_ERROR
                System error occurred (see errno).

           E_BAD_ARGUMENT
                Routine detected an incorrect or  out-of-range  argu-
                ment.

## SEE ALSO

           curses(3x)  and  3x  pages  whose  names begin "form_" for
           detailed descriptions of the entry points.

## NOTES

           The header file <form.h> automatically includes the header
           file <curses.h>.

## PORTABILITY

           These  routines  emulate the System V forms library.  They
           were not supported on Version 7 or BSD versions.

## AUTHORS

           Juergen Pfeifer.  Manual  pages  and  adaptation  for  new
           curses by Eric S. Raymond.